QGIS Application - Feature request #11731
replace pygments highlighting with QScintilla
2014-11-25 05:16 AM - Tom Kralidis

Status: Open

Priority: Normal

Assignee:

Category: MetaSearch Catalogue Client

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 19966
Description

As suggested by @alexbruy, since the latter is part of QGIS core, replace pygments syntax highlighting funcitonality (contained to

‘MetaSearch.util.highlight_xml’) with something just as simple, and remove the pygments dependency and bundling for plugin.

sample:

import sys
from PyQt4.QtGui import QApplication
from PyQt4 import QtCore, QtGui

from PyQt4.Qsci import QsciScintilla, QsciScintillaBase, QsciLexerXML

if_name__=="_main__ "
app = QApplication(sys.argv)
editor = QsciScintilla()

## Choose a lexer
editor.setLexer(QsciLexerXML())
## Render on screen

editor.show()

xml ="
<body>

<title id="5">foo</title>
</body>""
## Show this file in the editor
editor.setText(xml)
sys.exit(app.exec_())

History

#1 - 2015-08-21 04:57 AM - Tom Kralidis
- Project changed from 218 to QGIS Application

#2 - 2015-08-21 04:57 AM - Tom Kralidis
- Category set to MetaSearch Catalogue Client

#3 - 2017-05-01 12:47 AM - Giovanni Manghi
- Easy fix? set to No
